Flent-users discussion archives
 help / color / mirror / Atom feed
* [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
@ 2019-07-15 11:15 Pete Heist
  2019-07-15 12:56 ` Toke Høiland-Jørgensen
                   ` (21 more replies)
  0 siblings, 22 replies; 24+ messages in thread
From: Pete Heist @ 2019-07-15 11:15 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Subscribed


[-- Attachment #1.1: Type: text/plain, Size: 604 bytes --]

I compiled on some new test boxes from head (83d14d68) and ran a test. flent -i for the text output worked but when I use flent -gui I see the following errors before it freezes:

```
ERROR: Error while loading data file: '<built-in function connectSlotsByName> returned a result with an error set'. Skipping.
ERROR: Error while loading data file: '<built-in function connectSlotsByName> returned a result with an error set'. Skipping.
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167

[-- Attachment #1.2: Type: text/html, Size: 2168 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
@ 2019-07-15 12:56 ` Toke Høiland-Jørgensen
  2019-07-15 14:44 ` Pete Heist
                   ` (20 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Toke Høiland-Jørgensen @ 2019-07-15 12:56 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Subscribed


[-- Attachment #1.1: Type: text/plain, Size: 760 bytes --]

Pete Heist <notifications@github.com> writes:

> I compiled on some new test boxes from head (83d14d68) and ran a test. flent -i for the text output worked but when I use flent -gui I see the following errors before it freezes:
>
> ```
> ERROR: Error while loading data file: '<built-in function connectSlotsByName> returned a result with an error set'. Skipping.
> ERROR: Error while loading data file: '<built-in function connectSlotsByName> returned a result with an error set'. Skipping.
> ```

Uh, that's an interesting error!

What's the output of flent --version ?


-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511390834

[-- Attachment #1.2: Type: text/html, Size: 2225 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
  2019-07-15 12:56 ` Toke Høiland-Jørgensen
@ 2019-07-15 14:44 ` Pete Heist
  2019-07-15 15:08 ` Toke Høiland-Jørgensen
                   ` (19 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Pete Heist @ 2019-07-15 14:44 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Subscribed


[-- Attachment #1.1: Type: text/plain, Size: 791 bytes --]

Hmm, that made me realize it's working in Linux but not on my Mac, with slightly different versions of Python and PyQt5:

Not working (on MacOS 10.13.6):
```
% flent --version
Flent v1.9.9-git-83d14d6.
Running on Python 3.7.4 (default, Jul  9 2019, 18:15:00)  [Clang 10.0.0 (clang-1000.11.45.5)].
Using matplotlib version 3.1.1 on numpy 1.16.4.
Using PyQt5 version 5.12.3.
```

Working (on Ubuntu 19.04):
```
$ flent --version
Flent v1.9.9-git-83d14d6.
Running on Python 3.7.3 (default, Apr  3 2019, 05:39:12)  [GCC 8.3.0].
Using matplotlib version 3.1.1 on numpy 1.16.4.
Using PyQt5 version 5.12.1.
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511432500

[-- Attachment #1.2: Type: text/html, Size: 2201 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
  2019-07-15 12:56 ` Toke Høiland-Jørgensen
  2019-07-15 14:44 ` Pete Heist
@ 2019-07-15 15:08 ` Toke Høiland-Jørgensen
  2019-07-15 15:38 ` Pete Heist
                   ` (18 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Toke Høiland-Jørgensen @ 2019-07-15 15:08 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Subscribed


[-- Attachment #1.1: Type: text/plain, Size: 814 bytes --]

Pete Heist <notifications@github.com> writes:

> Hmm, that made me realize it's working in Linux but not on my Mac, with slightly different versions of Python and PyQt5:
>
> Not working (on MacOS 10.13.6):
> ```
> % flent --version
> Flent v1.9.9-git-83d14d6.
> Running on Python 3.7.4 (default, Jul  9 2019, 18:15:00)  [Clang 10.0.0 (clang-1000.11.45.5)].
> Using matplotlib version 3.1.1 on numpy 1.16.4.
> Using PyQt5 version 5.12.3.
> ```

Ah, bugger, don't have a mac to test with. Guess you're in for an
interactive debugging session, then ;)

Do you get a backtrace if you're running with --verbose and
--debug-error ?


-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511442039

[-- Attachment #1.2: Type: text/html, Size: 2295 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (2 preceding siblings ...)
  2019-07-15 15:08 ` Toke Høiland-Jørgensen
@ 2019-07-15 15:38 ` Pete Heist
  2019-07-15 15:51 ` Pete Heist
                   ` (17 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Pete Heist @ 2019-07-15 15:38 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Subscribed


[-- Attachment #1.1: Type: text/plain, Size: 3096 bytes --]

Sure, no problem :)...that does give some more info:

```
% flent-gui --verbose --debug-error *.flent.gz
Started Flent 1.9.9-git-83d14d6 using Python 3.7.4.
CACHEDIR=/Users/heistp/.matplotlib
Loaded backend agg version unknown.
Initialised matplotlib v3.1.1 on numpy v1.16.4.
GUI loaded. Running on PyQt v5.12.3.
Loading data file batch-two-flow-2019-07-15T130800-reno_reno-sce-sce-single-50Mbit-80ms.flent.gz
Loading data file batch-two-flow-2019-07-15T130800-reno-sce_reno-sce-sce-single-50Mbit-80ms.flent.gz
Executing test environment file /usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/tests/tcp_2up.conf
Executing test environment file /usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/tests/tcp_2up.conf
ERROR: Error while loading data file: '<built-in function connectSlotsByName> returned a result with an error set'. Skipping.
AttributeError: __getattribute__

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 837, in load_one
    widget = self.add_tab(r, t, current_plot, focus=False)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 777, in add_tab
    widget = ResultWidget(self.viewArea, self.settings, self.worker_pool)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 2072, in __init__
    super(ResultWidget, self).__init__(parent)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 224, in __init__
    self.setupUi(self)
  File "<string>", line 25, in setupUi
SystemError: <built-in function connectSlotsByName> returned a result with an error set
ERROR: Error while loading data file: '<built-in function connectSlotsByName> returned a result with an error set'. Skipping.
AttributeError: __getattribute__

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 837, in load_one
    widget = self.add_tab(r, t, current_plot, focus=False)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 777, in add_tab
    widget = ResultWidget(self.viewArea, self.settings, self.worker_pool)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 2072, in __init__
    super(ResultWidget, self).__init__(parent)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 224, in __init__
    self.setupUi(self)
  File "<string>", line 25, in setupUi
SystemError: <built-in function connectSlotsByName> returned a result with an error set
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511454382

[-- Attachment #1.2: Type: text/html, Size: 4512 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (3 preceding siblings ...)
  2019-07-15 15:38 ` Pete Heist
@ 2019-07-15 15:51 ` Pete Heist
  2019-07-15 17:32 ` Toke Høiland-Jørgensen
                   ` (16 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Pete Heist @ 2019-07-15 15:51 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Subscribed


[-- Attachment #1.1: Type: text/plain, Size: 381 bytes --]

Against better judgment I upgraded PyQt5 to 5.13.0 on both the Mac and Linux and still see the problem on Mac but not on Linux, so that suggests it's not directly related to the PyQt 5 version.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511459133

[-- Attachment #1.2: Type: text/html, Size: 1745 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (4 preceding siblings ...)
  2019-07-15 15:51 ` Pete Heist
@ 2019-07-15 17:32 ` Toke Høiland-Jørgensen
  2019-07-15 18:06 ` Pete Heist
                   ` (15 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Toke Høiland-Jørgensen @ 2019-07-15 17:32 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Subscribed


[-- Attachment #1.1: Type: text/plain, Size: 488 bytes --]

Pete Heist <notifications@github.com> writes:

> Against better judgment I upgraded PyQt5 to 5.13.0 on both the Mac and
> Linux and still see the problem on Mac but not on Linux, so that
> suggests it's not directly related to the PyQt 5 version.

Does it happen if you only load a single data file?


-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511496732

[-- Attachment #1.2: Type: text/html, Size: 1892 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (5 preceding siblings ...)
  2019-07-15 17:32 ` Toke Høiland-Jørgensen
@ 2019-07-15 18:06 ` Pete Heist
  2019-07-15 19:32 ` Pete Heist
                   ` (14 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Pete Heist @ 2019-07-15 18:06 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Subscribed


[-- Attachment #1.1: Type: text/plain, Size: 323 bytes --]

Yes, it does, then the symptom after the error (same with one or more files) is that Python is unresponsive and there's 100% CPU usage.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511508920

[-- Attachment #1.2: Type: text/html, Size: 1687 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (6 preceding siblings ...)
  2019-07-15 18:06 ` Pete Heist
@ 2019-07-15 19:32 ` Pete Heist
  2019-07-15 20:31 ` Toke Høiland-Jørgensen
                   ` (13 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Pete Heist @ 2019-07-15 19:32 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 580 bytes --]

Ok, the problem doesn't happen with PySide2. It's likely with recent versions of PyQt5, although I'm not exactly sure of the first version where it started. It's also possible the bug doesn't happen on MacOS 10.14 (Mojave), but my 2011 hardware is pinned to 10.13 so I can't test that. So far I'm glad it's working now, but I can try another test if you want. BTW I think the qtpy commit is on the main branch...

-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511538572

[-- Attachment #1.2: Type: text/html, Size: 1944 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (7 preceding siblings ...)
  2019-07-15 19:32 ` Pete Heist
@ 2019-07-15 20:31 ` Toke Høiland-Jørgensen
  2019-07-15 20:48 ` Pete Heist
                   ` (12 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Toke Høiland-Jørgensen @ 2019-07-15 20:31 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 847 bytes --]

Pete Heist <notifications@github.com> writes:

> Ok, the problem doesn't happen with PySide2. It's likely with recent
> versions of PyQt5, although I'm not exactly sure of the first version
> where it started. It's also possible the bug doesn't happen on MacOS
> 10.14 (Mojave), but my 2011 hardware is pinned to 10.13 so I can't
> test that. So far I'm glad it's working now, but I can try another
> test if you want. BTW I think the qtpy commit is on the main branch...

Oh, right, pushed to the wrong branch... oops... well, guess I better go
fix the tests, then :)

Found another instance of what appears to be the same PyQt bug:
https://github.com/GNS3/gns3-gui/issues/2819


-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511558066

[-- Attachment #1.2: Type: text/html, Size: 2316 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (8 preceding siblings ...)
  2019-07-15 20:31 ` Toke Høiland-Jørgensen
@ 2019-07-15 20:48 ` Pete Heist
  2019-07-15 21:09 ` Toke Høiland-Jørgensen
                   ` (11 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Pete Heist @ 2019-07-15 20:48 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 380 bytes --]

Ah, ok, well it looks like PySide2 has a more permissive license anyway, although I guess that shouldn't affect flent. I haven't noticed any other problems using it, although my testing has hardly been extensive.

-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511564072

[-- Attachment #1.2: Type: text/html, Size: 1744 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (9 preceding siblings ...)
  2019-07-15 20:48 ` Pete Heist
@ 2019-07-15 21:09 ` Toke Høiland-Jørgensen
  2019-07-15 22:07   ` Sebastian Moeller
  2019-07-16  7:52 ` Pete Heist
                   ` (10 subsequent siblings)
  21 siblings, 1 reply; 24+ messages in thread
From: Toke Høiland-Jørgensen @ 2019-07-15 21:09 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 683 bytes --]

Pete Heist <notifications@github.com> writes:

> Ah, ok, well it looks like PySide2 has a more permissive license
> anyway, although I guess that shouldn't affect flent. I haven't
> noticed any other problems using it, although my testing has hardly
> been extensive.

Yeah, PySide2 are the officially supported Python bindings from upstream
Qt, so guess it's good to support that anyway (PyQt5 predates it
somewhat). And it's not a huge cost to carry the compatibility layer, so
I guess I can keep it like this...


-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511571068

[-- Attachment #1.2: Type: text/html, Size: 2118 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 21:09 ` Toke Høiland-Jørgensen
@ 2019-07-15 22:07   ` Sebastian Moeller
  0 siblings, 0 replies; 24+ messages in thread
From: Sebastian Moeller @ 2019-07-15 22:07 UTC (permalink / raw)
  To: tohojo/flent; +Cc: tohojo/flent, Comment, flent-users

Okay, same issue on macosx 10.14.5. Now with the latest changes and PySide2 installed I get:


./run-flent --version
Flent v1.9.9-git-43e16d5.
Running on Python 3.7.4 (default, Jul 11 2019, 01:08:00)  [Clang 10.0.1 (clang-1001.0.46.4)].
Using matplotlib version 3.1.1 on numpy 1.16.4.
Using PyQt5 version 5.12.2.



./run-flent --gui
Started Flent 1.9.9-git-43e16d5 using Python 3.7.4.
ERROR: Unable to find a usable Qt version.

Same Qt version "worked" before the latest changes; the quotes as I saw the same error as Pete.

If I can do anything on my side to fix/debug this, please let me know. Also let me know if I am just stupid and dod something wrong...


Best Regards
	Sebastian

> On Jul 15, 2019, at 23:09, Toke Høiland-Jørgensen <notifications@github.com> wrote:
> 
> Pete Heist <notifications@github.com> writes:
> 
> > Ah, ok, well it looks like PySide2 has a more permissive license
> > anyway, although I guess that shouldn't affect flent. I haven't
> > noticed any other problems using it, although my testing has hardly
> > been extensive.
> 
> Yeah, PySide2 are the officially supported Python bindings from upstream
> Qt, so guess it's good to support that anyway (PyQt5 predates it
> somewhat). And it's not a huge cost to carry the compatibility layer, so
> I guess I can keep it like this...
> —
> You are receiving this because you commented.
> Reply to this email directly, view it on GitHub, or mute the thread.
> 
> _______________________________________________
> Flent-users mailing list
> Flent-users@flent.org
> http://flent.org/mailman/listinfo/flent-users_flent.org


_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (10 preceding siblings ...)
  2019-07-15 21:09 ` Toke Høiland-Jørgensen
@ 2019-07-16  7:52 ` Pete Heist
  2019-07-16  7:59 ` Pete Heist
                   ` (9 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Pete Heist @ 2019-07-16  7:52 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 498 bytes --]

It looks like it was still using PyQt5 in your case, so make sure to first do:

```
export QT_API= pyside2
```

If this is a long-term fix for Mac, maybe that var could be set on MacOS when sys.platform is darwin, assuming we have a chance to do so before those libs are initialized. Probably best would be if they fixed PyQt5. :)

-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511707373

[-- Attachment #1.2: Type: text/html, Size: 1884 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (11 preceding siblings ...)
  2019-07-16  7:52 ` Pete Heist
@ 2019-07-16  7:59 ` Pete Heist
  2019-07-16  8:14 ` Toke Høiland-Jørgensen
                   ` (8 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Pete Heist @ 2019-07-16  7:59 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 257 bytes --]

```
export QT_API=pyside2
```

A space had crept in my previous post after the equals. :)

-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511709586

[-- Attachment #1.2: Type: text/html, Size: 1637 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (12 preceding siblings ...)
  2019-07-16  7:59 ` Pete Heist
@ 2019-07-16  8:14 ` Toke Høiland-Jørgensen
  2019-07-26 17:26 ` Bicobus
                   ` (7 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Toke Høiland-Jørgensen @ 2019-07-16  8:14 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 721 bytes --]

Pete Heist <notifications@github.com> writes:

> It looks like it was still using PyQt5 in your case, so make sure to first do:
>
> ```
> export QT_API= pyside2
> ```
>
> If this is a long-term fix for Mac, maybe that var could be set on
> MacOS when sys.platform is darwin, assuming we have a chance to do so
> before those libs are initialized. Probably best would be if they
> fixed PyQt5. :)

Yeah, I'm not really sure what the long-term solution should be. I guess
I can try sending an email to the PyQt5 mailing list and see if anyone
responds...


-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511714362

[-- Attachment #1.2: Type: text/html, Size: 2182 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (13 preceding siblings ...)
  2019-07-16  8:14 ` Toke Høiland-Jørgensen
@ 2019-07-26 17:26 ` Bicobus
  2019-07-27  8:36 ` Toke Høiland-Jørgensen
                   ` (6 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Bicobus @ 2019-07-26 17:26 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 290 bytes --]

Isn't there a bugtracker for PyQt5 somewhere or is the only way to reach riverbankcomputing to post on their mailing list?

-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-515535290

[-- Attachment #1.2: Type: text/html, Size: 1654 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (14 preceding siblings ...)
  2019-07-26 17:26 ` Bicobus
@ 2019-07-27  8:36 ` Toke Høiland-Jørgensen
  2019-07-28  5:30 ` Bicobus
                   ` (5 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Toke Høiland-Jørgensen @ 2019-07-27  8:36 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 448 bytes --]

Bicobus <notifications@github.com> writes:

> Isn't there a bugtracker for PyQt5 somewhere or is the only way to
> reach riverbankcomputing to post on their mailing list?

Couldn't find one. Which is one of the reasons why I figure it's a good
idea to focus on pyside2 instead :)


-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-515667136

[-- Attachment #1.2: Type: text/html, Size: 1857 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (15 preceding siblings ...)
  2019-07-27  8:36 ` Toke Høiland-Jørgensen
@ 2019-07-28  5:30 ` Bicobus
  2019-08-13 20:30 ` Justin LeFebvre
                   ` (4 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Bicobus @ 2019-07-28  5:30 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 591 bytes --]

A working example of a workaround the issue by compiling the ui files with pyuic5, here in a ui_testui.py file.

```python
from PyQt5 import QtWidgets
from .ui_testui import Ui_TestUi

class TestUi(QtWidgets.Qwidget):
    def __init__(self, parent=None):
        super(TestUi, self).__init__(parent)
        self.ui = Ui_TestUi()
        self.ui.setupUi(self)
```

It would be best to contact riverbankcomputing, I believe.

-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-515734468

[-- Attachment #1.2: Type: text/html, Size: 2597 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (16 preceding siblings ...)
  2019-07-28  5:30 ` Bicobus
@ 2019-08-13 20:30 ` Justin LeFebvre
  2019-08-14 12:51 ` Toke Høiland-Jørgensen
                   ` (3 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Justin LeFebvre @ 2019-08-13 20:30 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 349 bytes --]

I'm seeing the same there here. An interesting thing to note is that this seems to be an issue with PyQt5 and python 3.7.4. When running with python 3.7.3, I'm not seeing the issue.

-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-520996808

[-- Attachment #1.2: Type: text/html, Size: 1713 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (17 preceding siblings ...)
  2019-08-13 20:30 ` Justin LeFebvre
@ 2019-08-14 12:51 ` Toke Høiland-Jørgensen
  2019-08-15 12:35 ` Bicobus
                   ` (2 subsequent siblings)
  21 siblings, 0 replies; 24+ messages in thread
From: Toke Høiland-Jørgensen @ 2019-08-14 12:51 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 508 bytes --]

Justin LeFebvre <notifications@github.com> writes:

> I'm seeing the same there here. An interesting thing to note is that
> this seems to be an issue with PyQt5 and python 3.7.4. When running
> with python 3.7.3, I'm not seeing the issue.

Ah, that's interesting! Still not something that's likely we can work
around from Flent, though :(


-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-521232543

[-- Attachment #1.2: Type: text/html, Size: 1928 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (18 preceding siblings ...)
  2019-08-14 12:51 ` Toke Høiland-Jørgensen
@ 2019-08-15 12:35 ` Bicobus
  2019-09-22 10:40 ` Toke Høiland-Jørgensen
  2020-01-04 11:45 ` Toke Høiland-Jørgensen
  21 siblings, 0 replies; 24+ messages in thread
From: Bicobus @ 2019-08-15 12:35 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 689 bytes --]

Has been reported and should be fixed in the current snapshot (and thus for the following release)

Thread: https://www.riverbankcomputing.com/pipermail/pyqt/2019-August/042003.html

Quoting Phil Thompson:
> It could also be that an exception is being correctly ignored, but not cleared with PyErr_Clear().
>
> However I can't reproduce the problem - I don't get a traceback, although I'm not using exactly the same versions of Python.

Phil probably tested with the previous iteration of python and didn't get the issue.

-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-521625594

[-- Attachment #1.2: Type: text/html, Size: 2209 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (19 preceding siblings ...)
  2019-08-15 12:35 ` Bicobus
@ 2019-09-22 10:40 ` Toke Høiland-Jørgensen
  2020-01-04 11:45 ` Toke Høiland-Jørgensen
  21 siblings, 0 replies; 24+ messages in thread
From: Toke Høiland-Jørgensen @ 2019-09-22 10:40 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 174 bytes --]

Closed #167.

-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#event-2652585913

[-- Attachment #1.2: Type: text/html, Size: 1929 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)
  2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
                   ` (20 preceding siblings ...)
  2019-09-22 10:40 ` Toke Høiland-Jørgensen
@ 2020-01-04 11:45 ` Toke Høiland-Jørgensen
  21 siblings, 0 replies; 24+ messages in thread
From: Toke Høiland-Jørgensen @ 2020-01-04 11:45 UTC (permalink / raw)
  To: tohojo/flent; +Cc: Comment, flent-users


[-- Attachment #1.1: Type: text/plain, Size: 295 bytes --]

Try upgrading your PyQt version, or switching to PySide2. Didn't find a way to work around this bug in Flent, unfortunately...


-- 
You are receiving this because you commented.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-570778748

[-- Attachment #1.2: Type: text/html, Size: 1656 bytes --]

[-- Attachment #2: Type: text/plain, Size: 151 bytes --]

_______________________________________________
Flent-users mailing list
Flent-users@flent.org
http://flent.org/mailman/listinfo/flent-users_flent.org

^ permalink raw reply	[flat|nested] 24+ messages in thread

end of thread, other threads:[~2020-01-04 11:46 UTC | newest]

Thread overview: 24+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-07-15 11:15 [Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167) Pete Heist
2019-07-15 12:56 ` Toke Høiland-Jørgensen
2019-07-15 14:44 ` Pete Heist
2019-07-15 15:08 ` Toke Høiland-Jørgensen
2019-07-15 15:38 ` Pete Heist
2019-07-15 15:51 ` Pete Heist
2019-07-15 17:32 ` Toke Høiland-Jørgensen
2019-07-15 18:06 ` Pete Heist
2019-07-15 19:32 ` Pete Heist
2019-07-15 20:31 ` Toke Høiland-Jørgensen
2019-07-15 20:48 ` Pete Heist
2019-07-15 21:09 ` Toke Høiland-Jørgensen
2019-07-15 22:07   ` Sebastian Moeller
2019-07-16  7:52 ` Pete Heist
2019-07-16  7:59 ` Pete Heist
2019-07-16  8:14 ` Toke Høiland-Jørgensen
2019-07-26 17:26 ` Bicobus
2019-07-27  8:36 ` Toke Høiland-Jørgensen
2019-07-28  5:30 ` Bicobus
2019-08-13 20:30 ` Justin LeFebvre
2019-08-14 12:51 ` Toke Høiland-Jørgensen
2019-08-15 12:35 ` Bicobus
2019-09-22 10:40 ` Toke Høiland-Jørgensen
2020-01-04 11:45 ` Toke Høiland-Jørgensen

Flent-users discussion archives

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://lists.flent.org/flent-users

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 flent-users flent-users/ https://lists.flent.org/flent-users \
		flent-users@flent.org
	public-inbox-index flent-users

Example config snippet for mirrors.


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git